<aside id="sidebar" class="hidden lg:block w-64 shrink-0">{{/* Required since the parent of a sticky element must not have display: flex */}}
  <button id="sidebar-close" class="absolute top-6 right-6 text-gray-600 hover:text-[#083ce5] cursor-pointer" type="button">
    <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M18 6L6 18M6 6l12 12"/></svg>
  </button>

  <div class="sticky top-16 max-h-[calc(100vh-4rem)] overflow-y-auto">
    <ul class="text-gray-500">
      {{ partial "toc-items" (dict "content" (or (index .Ancestors.Reverse 2) .Page) "active" .RelPermalink) }}
    </ul>
  </div>
</aside>
